Skip to main content
POST
/
2026-01
/
marketing-solutions
/
audience-segments
/
estimate-size
/2026-01/marketing-solutions/audience-segments/estimate-size
curl --request POST \
  --url https://api.criteo.com/2026-01/marketing-solutions/audience-segments/estimate-size \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "size": 123
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Input to estimate the size of an audience segment..

data
object

A top-level object that encapsulates a Criteo API response for a single value

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for a single value

data
object

A top-level object that encapsulates a Criteo API response for a single value

errors
object[] | null
read-only
warnings
object[] | null
read-only